commit:     6f86f3ace8ef3b666cdc3c07a86761eba0ac6850
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 29 06:45:34 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Mar 29 06:58:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f86f3ac

dev-ruby/activesupport: add 5.1.7

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-ruby/activesupport/Manifest                   |  1 +
 dev-ruby/activesupport/activesupport-5.1.7.ebuild | 67 +++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index 29d4a23c0b8..df774feb9b7 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -1,4 +1,5 @@
 DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 
7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3
 SHA512 
198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
 DIST rails-5.1.6.2.tgz 6144050 BLAKE2B 
b204a66f97514eab94ebcfee89d55482577bf1c355b813e3e596c1d8c1a9f4167871fda75fc605c6b5801a3a247050b53b075abcf3a28bb30ec45e166d7cd8f8
 SHA512 
4e2e4739a276e66ace4a330b65c05c8c8465d71438b6d6d8c30051f9ff9ba6d2669c0379b2478d9a94e9535e7c079b39d6fa1b388619e7d29a3fd8d6127588fd
+DIST rails-5.1.7.tgz 6146668 BLAKE2B 
494a12d79037010333c06d14573474f0d0c1e62ce5252e8fbe4eb4c6935dc660614c2ff29fd168bbc66d74bfa64b92abb84d02645cb3b2950db5c166111b7b19
 SHA512 
6595eb19f174c9e46a937d6028d9bb2bfdcda06f35ec2a0499bc5deff05d8cfc8f8fc725e664496d3b431c8724141a1410201b57945b98ca211aea15c990d621
 DIST rails-5.2.2.1.tgz 8795399 BLAKE2B 
cb07c555b4124b67c12d7b913209112730a2aa4d957b3711c6b1f41918bfbce792426d75bd2e4443043a701f74bb2a286d59b140248f6a74f1c4547f00dc0b7d
 SHA512 
c976e3b4f0f2350cd611309c89a9c3ad16871f115577788694519482afa10420a272f2cc560bd823f05d6d616e3cde1e121d6f530e3d29df12a55bd2aa76ed0e
 DIST rails-5.2.3.tgz 8802794 BLAKE2B 
786f94bcd9528ffc664c39caef0e7d2d3c15da95497044504082999a435c2a877d73d40b68b5237dc07ae6cf9b8f6f99f12ae68527c5f4005b1a648038e507c0
 SHA512 
6a41f7564679263b4a16a245d13271b12e97a55cdd77b5ebe63bd86c3a80e4f447b4c0567a4a40ed8e97a2307522f6dad368b1beeb362136bdf1856f6dffeb60

diff --git a/dev-ruby/activesupport/activesupport-5.1.7.ebuild 
b/dev-ruby/activesupport/activesupport-5.1.7.ebuild
new file mode 100644
index 00000000000..4dd56595471
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-5.1.7.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       >=dev-ruby/concurrent-ruby-1.0.2:1
+       >=dev-ruby/i18n-0.7:* =dev-ruby/i18n-0*:*
+       >=dev-ruby/tzinfo-1.1:1
+       >=dev-ruby/minitest-5.1:5"
+
+# memcache-client, nokogiri, and builder are not strictly
+# needed, but there are tests using this code.
+ruby_add_bdepend "test? (
+       >=dev-ruby/dalli-2.2.1
+       >=dev-ruby/nokogiri-1.4.5
+       >=dev-ruby/builder-3.1.0
+       >=dev-ruby/listen-3.0.5:3
+       dev-ruby/rack
+       dev-ruby/mocha:0.14
+       )"
+
+all_ruby_prepare() {
+       # Set the secure permissions that tests expect.
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' \
+               -e 's/gemspec/gemspec path: "activesupport"/' \
+               -e '5igem "builder"; gem "rack"' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       # Avoid test that depends on timezone
+       sed -i -e '/test_implicit_coercion/,/^  end/ s:^:#:' 
test/core_ext/duration_test.rb || die
+
+       # Avoid tests that seem to trigger race conditions.
+       rm -f test/evented_file_update_checker_test.rb || die
+
+       # Avoid test that generates filename that is too long
+       sed -i -e '/test_filename_max_size/askip "gentoo"' test/caching_test.rb 
|| die
+}

Reply via email to